Up

# NSImageCell

### Authors

Jonathan Gapen (`jagapen@smithlab.chem.wisc.edu`)

> The image cell class

Copyright: (C) 1999, 2005 Free Software Foundation, Inc.

# Software documentation for the NSImageCell class

## NSImageCell : NSCell

> Declared in:
>   AppKit/NSImageCell.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -imageAlignment
- -imageFrameStyle
- -imageScaling
- -setImageAlignment:
- -setImageFrameStyle:
- -setImageScaling:

### imageAlignment

- (NSImageAlignment) imageAlignment;
Availability: OpenStep
Description forthcoming.

### imageFrameStyle

- (NSImageFrameStyle) imageFrameStyle;
Availability: OpenStep
Description forthcoming.

### imageScaling

- (NSImageScaling) imageScaling;
Availability: OpenStep
Description forthcoming.

### setImageAlignment:

- (void) setImageAlignment: (NSImageAlignment)anAlignment;
Availability: OpenStep
Description forthcoming.

### setImageFrameStyle:

- (void) setImageFrameStyle: (NSImageFrameStyle)aFrameStyle;
Availability: OpenStep
Description forthcoming.

### setImageScaling:

- (void) setImageScaling: (NSImageScaling)scaling;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSImageCell Class

### _frameStyle

@protected NSImageFrameStyle _frameStyle;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _imageAlignment

@protected NSImageAlignment _imageAlignment;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _imageScaling

@protected NSImageScaling _imageScaling;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _original_image_size

@protected NSSize _original_image_size;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up